API referenceWebhooks
Send a test event
POST
/webhooks/{id}/testQueues a signed test event to the endpoint and returns the delivery. type picks the event type of the sample payload.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhooks/string/test" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "webhook_delivery", "id": "string", "webhook_id": "string", "event_type": "string", "status": "pending", "attempt_count": 0, "last_response_status": -9007199254740991, "last_error": "string", "next_attempt_at": "2019-08-24T14:15:22Z", "delivered_at": "2019-08-24T14:15:22Z", "payload": { "property1": null, "property2": null }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}